<?php Block::put('breadcrumb') ?>
    <ul>
        <li><a href="<?= Backend::url('ims/shophelper/sizetablecontroller') ?>">SizeTableController</a></li>
        <li><?= e($this->pageTitle) ?></li>
    </ul>
<?php Block::endPut() ?>

<?php if (!$this->fatalError): ?>

    <?= Form::open(['class' => 'layout']) ?>

        <div class="layout-row">
            <?= $this->formRender() ?>
        </div>

        <div class="form-buttons">
            <div class="loading-indicator-container">
                <button
                    type="submit"
                    data-request="onSave"
                    data-request-data="redirect:0"
                    data-hotkey="ctrl+s, cmd+s"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-primary">
                    <?= e(trans('backend::lang.form.save')) ?>
                </button>
                <button
                    type="button"
                    data-request="onSave"
                    data-request-data="close:1"
                    data-hotkey="ctrl+enter, cmd+enter"
                    data-load-indicator="<?= e(trans('backend::lang.form.saving')) ?>"
                    class="btn btn-default">
                    <?= e(trans('backend::lang.form.save_and_close')) ?>
                </button>
                <button
                    type="button"
                    class="oc-icon-trash-o btn-icon danger pull-right"
                    data-request="onDelete"
                    data-load-indicator="<?= e(trans('backend::lang.form.deleting')) ?>"
                    data-request-confirm="<?= e(trans('backend::lang.form.confirm_delete')) ?>">
                </button>

                <span class="btn-text">
                    <?= e(trans('backend::lang.form.or')) ?> <a href="<?= Backend::url('ims/shophelper/sizetablecontroller') ?>"><?= e(trans('backend::lang.form.cancel')) ?></a>
                </span>
            </div>
        </div>
    <?= Form::close() ?>

<?php else: ?>
    <p class="flash-message static error"><?= e(trans($this->fatalError)) ?></p>
    <p><a href="<?= Backend::url('ims/shophelper/sizetablecontroller') ?>" class="btn btn-default"><?= e(trans('backend::lang.form.return_to_list')) ?></a></p>
<?php endif ?>

<script>
    /**
 * This script adds input box to do the text search for relation widgets
 * Usable to look through checkboxes when there are thousands of possible relations
 */

+function ($) {

/**
 *
 * Adds search box and binds events to it
 *
 */
var attachSearch = function () {
  var searchInput = '<div class="form-group" style="width:70%;padding-top:15px;"><input type="text" placeholder="Search" class="form-control search-checkboxes"></div>';
  var $checkbox = $(this).find('div.checkbox').first();
  $checkbox.before(searchInput);
  $checkbox.parent().find('input.search-checkboxes').on('keyup', searchCheckboxes);
};


/**
 *
 * Performs search through checkboxes, hides those not containing query
 *
 * @param e
 */
var searchCheckboxes = function () {
  var query = this.value.toLocaleLowerCase();
  $(this).parents('div.field-checkboxlist').find('div.checkbox').each(function () {
    var labelText = $(this).find('label').text();
    if (labelText.toLocaleLowerCase().indexOf(query) != -1) {
      $(this).show();
    } else {
      $(this).hide();
    }
  });
};


/**
 * Searches for all checkboxlists and attach search box to each one
 */
var initCheckboxlistSearch = function () {
  // we add only to scrollable lists (non scrollable are short)
  var $widgets = $('div.field-checkboxlist-scrollable');
  $widgets.each(attachSearch);
};


/**
 * document.ready callback
 */
$(document).ready(function () {
  initCheckboxlistSearch();
});

} (window.jQuery);

</script>